Skip to main content
GET
Get entitlement from BangoEntitlementId

Authorizations

Authorization
string
header
required

Basic authentication

Headers

X-RequestIdentifier
string

Request unique identifier. If present, this id will be used for idempotency.

Path Parameters

entitlementId
string<uuid>
required

Unique identifier used on activation.

Response

Entitlement retrieved successfully

entitlementId
string
required

Unique identifier representing a specific entitlement.

Example:

"a25100b8-4e0c-4e37-b921-cac9cb1e930f"

customerIdentifier
string
required

User unique identifier.

Example:

"4407123456789"

productKey
string
required

Entitlement product unique identifier. For example, "BangoMusic".

Example:

"BangoMusic"

offerKey
string
required

Entitlement offer. For example, "BUNDLE".

Example:

null

merchantAccountKey
string
required

Merchant unique identifier. For example, "BANGO".

Example:

"BANGO"

dateCreated
string<date-time>
required

Date and time when the entitlement was created, in UTC ISO 8601 format (yyyy-MM-ddThh:mm:ssZ)

dateActivated
string<date-time>
required

Date and time when the entitlement was activated, in UTC ISO 8601 format (yyyy-MM-ddThh:mm:ssZ)

dateEnded
string<date-time>
required

Date and time when the entitlement ended due to cancellation or revoke, in UTC ISO 8601 format (yyyy-MM-ddThh:mm:ssZ)

Example:

"0001-01-01T00:00:00Z"

dateExpiry
string<date-time>
required

Entitlement expiry date in UTC ISO 8601 format. Null if no expiry (yyyy-MM-ddThh:mm:ssZ)

Example:

"0001-01-01T00:00:00Z"

responseCode
string
required
Example:

"OK"

responseMessage
string
required
Example:

"Success"

status
enum<string>
required

Entitlement status. Possible values are:

  • "ACTIVE": The entitlement has been successfully activated
  • "CANCELLED": The entitlement has been cancelled.
  • "REVOKED": The entitlement has been revoked. This usually happens on fraud and user contract termination cases.
  • "SUSPENDED": The entitlement has been suspended.
  • "PENDING": The entitlement has been initiated, but the user has not yet finalized the activation process.
  • "FAILED": The entitlement failed
  • "ACTIVE-ENDING": The entitlement is ending at the end of the current period.
Available options:
ACTIVE,
CANCELLED,
REVOKED,
SUSPENDED,
PENDING,
FAILED,
ACTIVE-ENDING
Example:

"ACTIVE"

sharedCustomerId
string<uuid>

Bango generated id shared between reseller and merchant for this customer (contact support for setup)

Example:

"414b3019-0c28-4d14-9c5f-6217b8bd1e3e"

entitlementDisplayName
string

Entitlement display name. For example, "30 days Bango music".

Example:

"30 days Bango music"

activationCode
string

Code or token use for the entitlement activation.

Example:

null

dateAutoSuspend
string<date>

Entitlement auto-suspension date in UTC ISO 8601 format. Null if no auto-suspension (yyyy-MM-ddThh:mm:ssZ)

Example:

null

dateFailed
string<date-time>

Date and time when the entitlement failed, in UTC ISO 8601 format (yyyy-MM-ddThh:mm:ssZ)

Example:

"0001-01-01T00:00:00Z"

dateSuspended
string<date-time>

Date and time when the entitlement was suspended, in UTC ISO 8601. format (yyyy-MM-ddThh:mm:ssZ)

Example:

null

dateResumed
string<date-time>

Date and time when the entitlement was resumed, in UTC ISO 8601. format (yyyy-MM-ddThh:mm:ssZ)

Example:

null

externalEntitlementId
string

External identifier for the Entitlement from the Reseller.

Example:

"124130d2-2cbc-45a1-ab9b-dfa8b67a2e63"

extensionData
object

Accepts a dynamic list of key-value pairs to cover custom data needs

parameters
object
extraInformation
object
financeData
object